#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.shared.common.interfaces import ISharedContent, IWfSharedContentPortalContext
from pyams_content.shared.common.interfaces.types import ITypedSharedToolPortalContext

# import packages
from zope.interface import Interface
from zope.schema import Bool

from onf_website import _


LEISURE_CONTENT_TYPE = 'leisure'
LEISURE_CONTENT_NAME = _("Leisure")


class ILeisureManager(ITypedSharedToolPortalContext):
    """Leisure manager"""


class ILeisureManagerFactory(Interface):
    """Leisure manager factory interface"""


class IWfLeisure(IWfSharedContentPortalContext):
    """Leisure content interface"""


class IWfLeisureFactory(Interface):
    """Leisure content factory interface"""


class ILeisure(ISharedContent):
    """Workflow manage leisure interface"""


LEISURE_INFO_ANNOTATIONS_KEY = 'pyams_content.leisure'


class ILeisureInfo(Interface):
    """Leisure info interface"""

    full = Bool(title=_("Full?"),
                description=_("All reservations are done?"),
                required=True,
                default=False)

    favorite = Bool(title=_("Favorite?"),
                    description=_("If activity is one of our favorites..."),
                    required=True,
                    default=False)

    priority = Bool(title=_("Priority?"),
                    description=_("If 'yes', activity is considered of higher priority"),
                    required=True,
                    default=False)
